%define	name	libwmf
%define	version	0.2.8.3
%define major	0.2_7
%define release 2mdk
%define libname %mklibname wmf %major

Summary:	A library to convert wmf files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
BuildRequires:	autoconf2.5
BuildRequires:	freetype2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	png-devel 
# we should probably split this package b/c of this:
Prereq:		%_bindir/gdk-pixbuf-query-loaders 
Requires:	gtk+2.0 >= 2.4.4-5mdk
URL:		http://sourceforge.net/projects/wvware/
Source:		http://download.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
Patch:		libwmf-0.2.7-libwmf-config.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

%package -n %libname
Summary:	A library to convert wmf files. - library files
Group:		System/Libraries
Requires:	urw-fonts libwmf = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs dynamically
linked with libwmf.

%package -n %libname-devel
Summary:	A library to convert wmf files. - development environment
Group:		Development/C
Requires:	%libname = %{version}
Provides:	libwmf-devel = %{version} libwmf0.2-devel = %{version}
Obsoletes:	libwmf-devel < %{version}-%{release}

%description -n %libname-devel
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install libwmf-devel if you need to compile an application with libwmf
support.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b .fpons
# libtoolize on un-common architectures
aclocal
#%ifarch x86_64
libtoolize --copy --force
#%endif
CFLAGS=$RPM_OPT_FLAGS ./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-ttf=%{_prefix}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT%{_prefix}/share/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp COPYING CREDITS README NEWS $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# remove anything relevant to fonts.
rm -rf $RPM_BUILD_ROOT%{_bindir}/libwmf-fontmap $RPM_BUILD_ROOT%{_datadir}/libwmf
# remove static libraries.
rm -f $RPM_BUILD_ROOT%{_libdir}/libwmf*.a $RPM_BUILD_ROOT%{_libdir}/gtk-*/*/*/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig
%_bindir/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib

%postun -n %libname
/sbin/ldconfig
%_bindir/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib

%files
# beware not to take gd files here!
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}
%{_bindir}/wmf2*
%{_libdir}/gtk-*

%files -n %libname
# beware not to take gd files here!
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libwmf-*so*
%{_libdir}/libwmflite-*so*

%files -n %libname-devel
# beware not to take gd files here!
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_bindir}/libwmf-config
%{_libdir}/libwmf.la
%{_libdir}/libwmf.so
#%{_libdir}/libwmf.a
%{_libdir}/libwmflite.la
%{_libdir}/libwmflite.so
#%{_libdir}/libwmflite.a
%{_includedir}/libwmf

%changelog
* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8.3-2mdk
- biarch support

* Mon May 31 2004 Marcel Pol <mpol@mandrake.org> 0.2.8.3-1mdk
- 0.2.8.3
- drop patch1, merged upstream

* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.8-7mdk
- rebuild for new gtk

* Sun Jan 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-6mdk
- patch 1: fix build with newer freetype (#6579, Marcel Pol)

* Sat Nov 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.8-5mdk
- BuildRequires

* Tue Aug  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.8-4mdk
- BuildRequires: libxpm-devel

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.8-3mdk
- mklibname macro
- fix buildrequires

* Fri Jan 10 2003 Franois Pons <fpons@mandrakesoft.com> 0.2.8-2mdk
- fixed library name since assuming major of library was 0.2_8
  while it has been kept as 0.2_7.

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 0.2.8-1mdk
- 0.2.8.

* Thu Oct 31 2002 Franois Pons <fpons@mandrakesoft.com> 0.2.7-3mdk
- fixed libwmf-config (-I/usr/include and -L/usr/lib).
- added require to libwmf data files from shared library.
- removed static libraries.

* Thu Oct 17 2002 Franois Pons <fpons@mandrakesoft.com> 0.2.7-2mdk
- called libtoolize.

* Wed Oct 16 2002 Franois Pons <fpons@mandrakesoft.com> 0.2.7-1mdk
- removed libwmf-fonts and use urw-fonts instead.
- 0.2.7.

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.5-3mdk
- rpmlint fixes: configure-without-libdir-spec

* Wed May 29 2002 Franois Pons <fpons@mandrakesoft.com> 0.2.5-2mdk
- fix some libraries missing.

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 0.2.5-1mdk
- 0.2.5.

* Tue Nov 06 2001 Franois Pons <fpons@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2.

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 0.2.1-2mdk
- Rebuilt for libpng3.

* Fri Aug 24 2001 Franois Pons <fpons@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1.

* Mon Jul 02 2001 Franois Pons <fpons@mandrakesoft.com> 0.2.0-3mdk
- clean up and split to create libwmf0.2_0 and libwmf-fonts,
  renamed libwmf-devel to libwmf0.2_0-devel.

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-2mdk
- BuildRequires:	libpng-devel
- BuildRequires:	libxml2-devel
- BuildRequires:	freetype2-devel
- Removed BuildRequires:	freetype-devel

* Mon Jun 18 2001  Daouda Lo <daouda@mandrakesoft.com> 0.2.0-1mdk
- release 0.2.0
- spec cleanups

* Tue Dec 19 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.21-1mdk
- update files and requires.
- 0.1.21.

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.19-4mdk
- fix summary

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-3mdk
- avoid updating gd with older version here, newer does not run with.

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-2mdk
- reverted back include files where they are expected.

* Fri Oct 20 2000 Franois Pons <fpons@mandrakesoft.com> 0.1.19-1mdk
- macroszifications.
- moved include files to a specific directory.
- updated URL and download page to latest modified version.
- 0.1.19.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.8-4mdk
- automatically added BuildRequires

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.8-3mdk
- fix group

* Wed Apr 21 1999 Sean P. Kane <kane@ca.metsci.com>
- Upgraded to version 0.1.8

* Tue Apr 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [libwmf-0.1.7-1]
- Initial RPM Build
- 0.1.7
- added ability to gd to read xbm's from data, rather than file,
  changed source accordingly, dont need to carry xbm's around
  anymore.
- changed configure script to agressively find the xpm header file,
- tested to work under aix (of all things :-))
- tested to work under solaris.
- checked that it reports lack of xpm lib, and fails to go any
  further.
- fiddled a bit more, and libwmf now works cleanly with mswordview,
  all cheer.
